@import "reset-bXXFInV.css";
@import "var-3FWbsBR.css";
@import "structure-L8ZdePf.css";
@import "fragments/_infos-vSR3oR_.css";
@import "fragments/_banner-LPs9i7j.css";
@import "fragments/_header-4FmP15h.css";
@import "fragments/_footer-9dm-flD.css";
@import "fragments/_reinsurance-IZsI5BU.css";
@import "fragments/_newsletter-nZOOy2-.css";
@import "fragments/_map-bvSjHGQ.css";

@import "components/_accordion-TW9UKfF.css";
@import "components/_action-WqcwW5-.css";
@import "components/_alert-ZcoFa3n.css";
@import "components/_animation-RT7GA3S.css";
@import "components/_aside-IEsJr9o.css";
@import "components/_breadcrumb-AC4BU37.css";
@import "components/_card-k7sJLof.css";
@import "components/_cookies-X5Y8X1w.css";
@import "components/_media-CzS_gul.css";
@import "components/_modal-TXgaWl0.css";
@import "components/_swiper-OXMcf2a.css";
@import "components/_table-_RMnTC0.css";
@import "components/_text--kkjJ8Y.css";
@import "components/_badge-d9zDXNl.css";

html,
body {
    line-height: 1.2;
    background: var(--background);
    color: var(--text);
    width: 100%;
    font-family: var(--font-base);
    font-size: var(--font-m);
    font-weight: var(--font-weight);
    -webkit-font-smoothing: antialiased;
    -moz-osx-font-smoothing: grayscale;
}
body {
    padding-top: 0.5rem;
}
body:has(.banner-infos) {
    padding-top: 0;
}

#app,
header,
footer {
    font-family: var(--font-title);
    font-size: var(--font-m);
    font-weight: var(--font-weight);
}
#app {
    margin: 0 0.5rem;
    border-radius: var(--radius) var(--radius) 0 0;
    overflow: hidden;
}
.fix #app {
    overflow: unset;
}

main {
    --background: hsl(var(--background-values));
    background: var(--background);
}

[data-mail][data-domain]::after {
    content: attr(data-mail) "@" attr(data-domain);
    cursor: pointer;
}

/* lenis smooth scroll */
html.lenis {
    height: auto;
}

.lenis.lenis-smooth {
    scroll-behavior: auto;
}

.lenis.lenis-smooth [data-lenis-prevent] {
    overscroll-behavior: contain;
}

.lenis.lenis-stopped {
    overflow: hidden;
}

.lenis.lenis-scrolling iframe {
    pointer-events: none;
}